JUCE: juce::dsp::ConvolutionMessageQueue Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::ConvolutionMessageQueue Class Reference
juce_dsp » frequency

Used by the Convolution to dispatch engine-update messages on a background thread. More...

`#include <juce_Convolution.h>`

## Public Member Functions
| ConvolutionMessageQueue ()
| Initialises the queue to a default size.
| ~ConvolutionMessageQueue () noexcept
| ConvolutionMessageQueue (int numEntries)
| Initialises the queue with the specified number of entries.
| ConvolutionMessageQueue (ConvolutionMessageQueue &&) noexcept
ConvolutionMessageQueue & | operator= (ConvolutionMessageQueue &&) noexcept
| ConvolutionMessageQueue (const ConvolutionMessageQueue &)=delete
ConvolutionMessageQueue & | operator= (const ConvolutionMessageQueue &)=delete

## Detailed Description

Used by the Convolution to dispatch engine-update messages on a background thread.

May be shared between multiple Convolution instances.

## Constructor & Destructor Documentation

## ◆ ConvolutionMessageQueue() [1/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( |  | ) |

Initialises the queue to a default size.

If your Convolution is updated very frequently, or you are sharing this queue between multiple Convolutions, consider using the alternative constructor taking an explicit size argument.

## ◆ ~ConvolutionMessageQueue()

juce::dsp::ConvolutionMessageQueue::~ConvolutionMessageQueue | ( |  | ) |
| noexcept

## ◆ ConvolutionMessageQueue() [2/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | int | numEntries | ) |
| explicit

Initialises the queue with the specified number of entries.

In general, the number of required entries scales with the number of Convolutions sharing the same Queue, and the frequency of updates to those Convolutions.

## ◆ ConvolutionMessageQueue() [3/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | ConvolutionMessageQueue && |  | ) |
| noexcept

## ◆ ConvolutionMessageQueue() [4/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | const ConvolutionMessageQueue & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

ConvolutionMessageQueue & juce::dsp::ConvolutionMessageQueue::operator= | ( | ConvolutionMessageQueue && |  | ) |
| noexcept

## ◆ operator=() [2/2]

ConvolutionMessageQueue & juce::dsp::ConvolutionMessageQueue::operator= | ( | const ConvolutionMessageQueue & |  | ) |
| delete

The documentation for this class was generated from the following file:

- juce_Convolution.h